################################################################################
#
# static-busybox
#
################################################################################

STATIC_BUSYBOX_VERSION = 1.33.0
STATIC_BUSYBOX_SITE = https://www.busybox.net/downloads
STATIC_BUSYBOX_SOURCE = busybox-$(BUSYBOX_VERSION).tar.bz2
STATIC_BUSYBOX_LICENSE = GPL-2.0, bzip2-1.0.4
STATIC_BUSYBOX_LICENSE_FILES = LICENSE archival/libarchive/bz/LICENSE
STATIC_BUSYBOX_CPE_ID_VENDOR = busybox

STATIC_BUSYBOX_INSTALL_TARGET = NO
STATIC_BUSYBOX_INSTALL_STAGING = NO
STATIC_BUSYBOX_INSTALL_IMAGES = YES

STATIC_BUSYBOX_CFLAGS = \
	$(TARGET_CFLAGS) -static

STATIC_BUSYBOX_LDFLAGS = \
	$(TARGET_LDFLAGS)

# Allows the build system to tweak CFLAGS
STATIC_BUSYBOX_MAKE_ENV = \
	$(TARGET_MAKE_ENV) \
	CFLAGS="$(STATIC_BUSYBOX_CFLAGS)" \
	CFLAGS_busybox="$(STATIC_BUSYBOX_CFLAGS)"; \
	KCONFIG_NOTIMESTAMP=1

STATIC_BUSYBOX_MAKE_OPTS = \
	CC="$(TARGET_CC)" \
	ARCH=$(KERNEL_ARCH) \
	PREFIX="$(TARGET_DIR)" \
	EXTRA_LDFLAGS="$(STATIC_BUSYBOX_LDFLAGS)" \
	CROSS_COMPILE="$(TARGET_CROSS)" \
	CONFIG_PREFIX="$(TARGET_DIR)"

STATIC_BUSYBOX_CONFIG_FILE = $(STATIC_BUSYBOX_PKGDIR)/busybox.config
STATIC_BUSYBOX_KCONFIG_FILE = $(STATIC_BUSYBOX_CONFIG_FILE)
STATIC_BUSYBOX_KCONFIG_OPTS = $(STATIC_BUSYBOX_MAKE_OPTS)

define STATIC_BUSYBOX_BUILD_CMDS
	$(STATIC_BUSYBOX_MAKE_ENV) $(MAKE) $(STATIC_BUSYBOX_MAKE_OPTS) -C $(@D)
endef

define STATIC_BUSYBOX_INSTALL_IMAGES_CMDS
	mkdir -p $(BINARIES_DIR)/skiff-init
	$(INSTALL) -m 755 -D $(@D)/busybox $(BINARIES_DIR)/skiff-init/busybox
endef

$(eval $(kconfig-package))
